Subject: The IETF on ISOC's web page

From: Gonzalo Camarillo <[email-masked]>
Date: Wed, 10 Jan 2018 15:21:18 +0200

Hi Scott,

[updating the subject line so that it reflects the actual topic under
discussion]

based on your feedback, the following changes have been made to ISOC's
web page so that the IETF is now displayed more prominently. In
addition, ISOC's web team will be looking into other longer-term changes
that could be done as well.

1. Additional "blue bar" mentioning the IETF on the home page - if you
go to https://www.internetsociety.org/ and scroll down the page, you
will see that between "The latest" news items and the "Get Involved"
row, there is now a blue row that mentions the IETF and links to our
"About the IETF" page.

2. A "call to action" in the menus - if you go to the top menu bar from
anywhere on the site and pull down the first menu, "The Internet", you
will see over on the right side the IETF logo and some text encouraging
you to learn more. Note that this only appears if your browser window is
wide enough - and it will not appear on mobile devices.

3. Additional text on "About Internet Society" page - On
https://www.internetsociety.org/about-internet-society/  some text has
been added near the top by the Vision statement that starts with "Our
Beginning" and points to the 1995 essay from Vint Cerf.  You will also
note that we've added the new brand video on that page where the map
used to be.

We also made some updates to the
https://www.internetsociety.org/about-the-ietf/ to bring in pointers to
ISOC participation in recent IETF meetings, as well as posts on our site
related to the IETF.

Cheers,

Gonzalo

On 24/11/2017 8:48 PM, Scott O. Bradner wrote:
> thanks
> 
> Scott
> 
> 
>> On Nov 24, 2017, at 1:47 PM, Gonzalo Camarillo <[email-masked]> wrote:
>>
>> Hi again, Scott,
>>
>> to be clear, since I did not address the main point of your email in my
>> response below; I agree with you the IETF should appear more prominently
>> on ISOC's web page. ISOC's comms team is looking into how to make that
>> happen on the new web page.
>>
>> Cheers,
>>
>> Gonzalo
>>
>>
>> On 24/11/2017 5:20 PM, Gonzalo Camarillo wrote:
>>> Hi Scott,
>>>
>>> as you know, based on (among other things) your input, we have *not*
>>> modified or removed the existing list of highlighted activities.
>>> Additionally, the old mission statement did not mention the IETF
>>> explicitly either. In short, nobody has removed the IETF from the
>>> statements.
>>>
>>> In any case, at some point we can think of updating the highlights of
>>> activities in order to include the IETF explicitly and to update some of
>>> the bullets.
>>>
>>> With respect to raising funds for the IETF, I assume you are following
>>> the IASA 2.0 discussions?
>>>
>>> Cheers,
>>>
>>> Gonzalo
>>>
>>> On 24/11/2017 4:44 PM, Scott O. Bradner wrote:
>>>> IMO - it will be harder to raise funds from some parties since there is no mention of the IETF on 
>>>> https://www.internetsociety.org/mission/
>>>>
>>>> I was talking with the CEO of a major Internet-related company a week or so ago
>>>> and he brought up the ISOC seeming to soft sell its support of the IETF - his
>>>> company has made significant donations in the past but he is now rethinking that
>>>>
>>>> I find it irresponsible, at the least, that there is no mention of the IETF at least under 
>>>> “Highlights of Activities” if one knows about ISOC’s support for IETF and squints just right one can read the IETF into a bullet - but why not just say it - is the ISOC ashamed of the IETF?  if so, why?
>>>>
>>>> Scott
>>>>
>>>>
>>>>> On Nov 24, 2017, at 9:06 AM, Gonzalo Camarillo <[email-masked]> wrote:
>>>>>
>>>>> Hi,
>>>>>
>>>>> in my initial email, which started this thread, I discussed the
>>>>> process we were following to gather feedback on the proposal to revise
>>>>> ISOC's mission statement. The iterative process we used resulted in
>>>>> the involvement of the board, emeriti trustees, staff, and the
>>>>> community at large. We want to thank all of you for all the
>>>>> constructive comments and suggestions. We have updated the proposed
>>>>> mission statement in order to address all that feedback.
>>>>>
>>>>> We just concluded a meeting of the Internet Society Board of Trustees
>>>>> in Singapore.  As part of that meeting, the ISOC board approved the
>>>>> new mission statement. The agreed-upon text is our best effort at
>>>>> incorporating the dialogue that we have had with all parts of our
>>>>> community. You can find the result on our new web page:
>>>>>
>>>>> https://www.internetsociety.org/mission/
>>>>>
>>>>> Obviously not every single piece of feedback has made it explicitly
>>>>> into the final version of the mission statement. Nevertheless, the
>>>>> board has processed all the comments received and will be taking them
>>>>> into account when working on strategies, targets, and action plans for
>>>>> ISOC.
>>>>>
>>>>> As I noted in my initial email, in addition to resulting in the final
>>>>> revised mission statement, the whole process has been useful in
>>>>> itself. The process has helped both the board get a better
>>>>> understanding of ISOC's purpose and the community to get a healthy
>>>>> sense of ownership.
>>>>>
>>>>> In our meeting in Singapore the Board also approved ISOC's 2018 Action
>>>>> Plan:
>>>>>
>>>>> https://www.internetsociety.org/action-plan/2018/
>>>>>
>>>>> This plan provides the foundation for the work of the organization
>>>>> both next year and in the years that follow. Our statement at the end
>>>>> of the board meeting, where we also recognized the success of this
>>>>> eventful 25th year for the organization, is at:
>>>>>
>>>>> https://www.internetsociety.org/news/statements/2017/internet-society-board-updated-mission-and-2018-action-plan/
>>>>>
>>>>> Cheers,
>>>>>
>>>>> Gonzalo
>>>>>
>>>>
>>>
>

---

From: Scott Bradner <[email-masked]>
Date: Wed, 10 Jan 2018 08:26:10 -0500

all good - thanks

one other thing that would be good would be to have some notice about the IETF in the
“What we’re doing” menu on the top of the main page 

Scott

> On Jan 10, 2018, at 8:21 AM, Gonzalo Camarillo <[email-masked]> wrote:
> 
> Hi Scott,
>